//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class richdiscord_hook_groupHook extends _HOOK_CLASS_
{
	public function get_g_richdiscord_roles()
	{
		try
		{
			return array_key_exists('g_richdiscord_roles', $this->_data) ? (mb_strpos($this->_data['g_richdiscord_roles'], ',') ? explode( ',', $this->_data['g_richdiscord_roles'] ) : [$this->_data['g_richdiscord_roles']] ) : [];
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
  
  	public function set_g_richdiscord_roles( $val )
	{
		try
		{
			if (is_array($val)) {
	          $this->_data['g_richdiscord_roles'] = implode( ',', $val );
	        } else {
	          $this->_data['g_richdiscord_roles'] = $val;
	        }
		}
		catch ( \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}
